Required. The entity to create.
(IDENTIFIER) The resource name of the activity. Format: activityLog/{activity_log} string.resource_name = ["activityLogs/*"] // value must be a valid resource name
Required. The type of the activity.
Required. The source that performed the activity.
Required. The payload containing activity-specific data.
- Mock serverhttps://docs.bndry.net/_mock/apis/openapi/v1alpha/activityLogs
- BNDRY APIhttps://api.bndry.app/v1alpha/activityLogs
curl -i -X POST \
https://docs.bndry.net/_mock/apis/openapi/v1alpha/activityLogs \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"name": "activityLogs/01234567-89ab-cdef-0123-456789abcdef",
"type": "ACTIVITY_TYPE_UNSPECIFIED",
"source": "ACTIVITY_SOURCE_UNSPECIFIED",
"payload": {
"asicBannedPersonsCheckResult": {
"rapidIdResponse": {
"summary": {
"responseCode": "RESPONSE_CODE_UNSPECIFIED",
"reportId": "string",
"message": "string"
},
"matches": [
{
"type": "string",
"documentNumber": "string",
"commencedDate": "string",
"ceasedDate": "string",
"address": {
"local": "string",
"state": "string",
"country": "string"
},
"comments": "string"
}
]
}
}
},
"entityNames": [
"entities/john-smith-001"
],
"workspace": "workspaces/01234567-89ab-cdef-0123-456789abcdef"
}'Success
(IDENTIFIER) The resource name of the activity. Format: activityLog/{activity_log} string.resource_name = ["activityLogs/*"] // value must be a valid resource name
Required. The type of the activity.
Required. The source that performed the activity.
Required. The payload containing activity-specific data.
Output only. The timestamp when the activity was created.
Output only. The timestamp when the activity was last updated.
Output only. The timestamp when the activity occurred.
For special activity types, this field uses specific dates from the payload:
- UNUSUAL_ACTIVITY_REPORT: Uses the incident_date from report_details
- SUSPICIOUS_MATTER_REPORT: Uses the incident_date from report_details
- CUSTOM: Uses the activity_time from the custom activity payload
For all other activity types, or when the above dates are not provided, this defaults to the activity creation time.
Output only. The timestamp when the activity log was deleted. See AIP-164.
Output only. The timestamp when the activity log will be purged if soft-deleted. See AIP-164.
The display names of the entities involved in this activity.
(OPTIONAL) The workspace involved in this activity. string.resource_name = ["workspaces/*"] // value must be a valid resource name
Output only. The form definition associated with the created form, if any. string.resource_name = ["formDefinitions/*"] // value must be a valid resource name
{ "name": "activityLogs/01234567-89ab-cdef-0123-456789abcdef", "type": "ACTIVITY_TYPE_UNSPECIFIED", "source": "ACTIVITY_SOURCE_UNSPECIFIED", "payload": { "asicBannedPersonsCheckResult": { … } }, "createTime": "2023-01-15T01:30:15.01Z", "updateTime": "2023-01-15T01:30:15.01Z", "occurredTime": "2023-01-15T01:30:15.01Z", "deleteTime": "2023-01-15T01:30:15.01Z", "purgeTime": "2023-01-15T01:30:15.01Z", "entityNames": [ "entities/john-smith-001" ], "entityDisplayNames": [ "John Smith" ], "workspace": "workspaces/01234567-89ab-cdef-0123-456789abcdef", "formDefinition": "string", "form": "string", "activityLogType": "string" }